'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var postcss = _interopDefault(require('postcss'));

var index = postcss.plugin('postcss-ic-unit', opts => {
  const preserve = 'preserve' in Object(opts) ? Boolean(opts.preserve) : true;
  return root => {
    root.walkDecls(decl => {
      if (decl.value.indexOf("ic") === -1) return;

      if (/\d+ic/.test(decl.value)) {
        const cloned = decl.cloneBefore();
        cloned.value = cloned.value.replace(/\d+ic/, string => {
          return parseInt(string) + 'em';
        });

        if (!preserve) {
          decl.remove();
        }
      }
    });
  };
});

module.exports = index;
//# sourceMappingURL=index.cjs.js.map
